package messenger

import (
	"fmt"
	"time"

	"github.com/spf13/viper"
	"kumoly.io/kumoly/app/system"
)

type Messenger struct {
	system.BaseService
}

func (srv Messenger) GetName() string { return "messenger.Messenger" }

func (srv *Messenger) Init() error {
	app.Name = viper.GetString("name")
	app.Copyright = fmt.Sprintf("Copyright © %v %s. All rights reserved.",
		time.Now().Year(), viper.GetString("name"))
	app.Link = viper.GetString("server.url")
	return nil
}
